"use client";
import { labelEnd as u } from "./label-end.js";
const g = {
  name: "labelStartImage",
  resolveAll: u.resolveAll,
  tokenize: m
};
function m(r, n, t) {
  const a = this;
  return l;
  function l(e) {
    return r.enter("labelImage"), r.enter("labelImageMarker"), r.consume(e), r.exit("labelImageMarker"), o;
  }
  function o(e) {
    return e === 91 ? (r.enter("labelMarker"), r.consume(e), r.exit("labelMarker"), r.exit("labelImage"), i) : t(e);
  }
  function i(e) {
    return e === 94 && "_hiddenFootnoteSupport" in a.parser.constructs ? t(e) : n(e);
  }
}
export {
  g as labelStartImage
};
